Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.entitlements.resource
Class P13nLibraryResource

    java.lang.Object
      weblogic.security.service.ResourceBase
          com.bea.p13n.entitlements.resource.P13nResource
              com.bea.p13n.entitlements.resource.P13nLibraryResource

All Implemented Interfaces:
  Resource, SecurityResource, SelfDescribingResource, Serializable

public class P13nLibraryResource
extends P13nResource
implements SecurityResource

The P13nLibraryResource class is used to represent an application defined resource for the runtime checking of role or security policies, which may be found scoped to a resource or a separate library.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.entitlements.resource.P13nResource
`empty`

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Fields inherited from interface weblogic.security.spi.SelfDescribingResource
`LIST_FIELD_TYPE, NORMAL_FIELD_TYPE, PATH_FIELD_TYPE, UNDEFINED_FIELD_TYPE`

Constructor Summary
`P13nLibraryResource(String entAppName, String webAppName, String appResourceID, String capability, String libraryResourceID)` Construct a resource to be used for location of security policies.

Method Summary
`int` | `getResourceScope()` Return the resource type of this class.

Methods inherited from class com.bea.p13n.entitlements.resource.P13nResource
`getCapabilityName, getEntAppName, getKeys, getResourceName, getSecurityResource, getType, getWebAppName, makeParent, setInitialValues, setSecurityResource, toString`

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, equals, getFieldType, getID, getParentResource, getRepeatingFieldIndex, getRepeatingFieldTerminatingIndex, getValues, hashCode, init, init, reset, writeResourceString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### P13nLibraryResource

    public P13nLibraryResource(String entAppName,
                               String webAppName,
                               String appResourceID,
                               String capability,
                               String libraryResourceID)

  Construct a resource to be used for location of security policies.

Method Detail

### getResourceScope

    public final int getResourceScope()

  Return the resource type of this class.

  Specified by:
    `getResourceScope` in class `P13nResource`
  Returns:
    EntitlementConstants.POLICY_LIBRARY_INHERITANCE.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved